##
##  ruby-gfx.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2020 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_chunky_png  1.3.14
%define       V_oily_png    1.2.1

#   package information
Name:         ruby-gfx
Summary:      Ruby Packages for Test Specification
URL:          http://www.ruby.org/
Vendor:       Ruby Community
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Language
License:      GPL
Version:      0
Release:      20201028

#   list of sources
Source0:      http://rubygems.org/downloads/chunky_png-%{V_chunky_png}.gem
Source1:      http://rubygems.org/downloads/oily_png-%{V_oily_png}.gem

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, ruby
PreReq:       OpenPKG, openpkg >= 20160101, ruby
BuildPreReq:  ruby-spec
PreReq:       ruby-spec

%description
    These are Ruby extensions for graphic manipulation.

%track
    prog ruby-gfx:chunky_png = {
        version   = %{V_chunky_png}
        url       = http://rubygems.org/gems/chunky_png
        regex     = chunky_png-(__VER__)\.gem
    }
    prog ruby-gfx:oily_png = {
        version   = %{V_oily_png}
        url       = http://rubygems.org/gems/oily_png
        regex     = oily_png-(__VER__)\.gem
    }

%prep
    %setup -q -T -c

%build

%install
    RUBY_VERSION=`%{l_prefix}/bin/gem which rubygems | sed -e 's;.*/\([^/]*\)/rubygems\.rb$;\1;'`
    export GEM_HOME=$RPM_BUILD_ROOT%{l_prefix}/lib/ruby/gems/$RUBY_VERSION
    %{l_shtool} mkdir -f -p -m 755 $GEM_HOME
    %{l_prefix}/bin/gem install --local %{SOURCE0}
    %{l_prefix}/bin/gem install --local %{SOURCE1}
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

